### File

`src/app/ide-compile/ide-compile.component.ts`

### Metadata

selector | `app-ide-compile`
styleUrls | `ide-compile.component.scss`
templateUrl | `ide-compile.component.html`

### Inputs

`statusVal` | Type: `string`

### Constructor

`constructor()`

### Methods

setState
`setState(inp: boolean)`

Updates the popup state of the compiling component and displays the testcase status on successful compilation.

Parameters :

- inp
  - Boolean representing the state of the popup.

Returns: `void`

### Properties

isActive
`isActive: `boolean` </bcode>`
Default value: `false`

    import {Component, Input, OnInit} from '@angular/core';

    @Component({
      selector: 'app-ide-compile',
      templateUrl: './ide-compile.component.html',
      styleUrls: ['./ide-compile.component.scss']
    })
    export class IdeCompileComponent implements OnInit {
      @Input() statusVal: string;
      isActive = false;

      constructor() {
      }

      set status(value: string) {
        this.statusVal = value;
      }

      ngOnInit(): void {
      }

      /**
       * Updates the popup state of the compiling component and displays the testcase status on successful compilation.
       * @param inp - Boolean representing the state of the popup.
       */
      setState(inp: boolean): void {
        this.isActive = inp;
      }
    }

# results matching ""

# No results matching ""